# プロジェクト概要: sgmap

## プロジェクトの目的

sgmap は、AWS のセキュリティグループの接続関係を可視化するための CLI ツールです。このツールを使用することで、VPC 内のセキュリティグループ間の接続関係を簡単に把握し、セキュリティ設定の確認や最適化を行うことができます。

## 主要機能

- 指定した VPC 内のすべてのセキュリティグループの接続関係を分析
- 特定のセキュリティグループのみを分析するオプション
- mermaid 記法のフローチャートによる可視化
- JSON 形式での出力オプション
- セキュリティグループ間の接続プロトコルとポート情報の表示

## 技術スタック

- 言語: Python 3.6+
- CLI フレームワーク: Click
- AWS SDK: boto3
- 出力形式: mermaid 記法の Markdown、JSON

## 成功基準

- VPC ID を指定して、その VPC 内のすべてのセキュリティグループの接続関係を正確に可視化できること
- 特定のセキュリティグループ ID を指定した場合、そのグループに関連する接続のみを表示できること
- mermaid 記法と JSON 形式の両方で出力できること
- 使いやすい CLI インターフェースを提供すること
- 適切なエラーハンドリングを実装すること

## 制約条件

- AWS 認証情報が適切に設定されている必要がある
- VPC ID は必須パラメータとして指定する必要がある
